﻿@model IEnumerable<Prep.Models.TestQuestionSummaryModel>
@*@model IEnumerable<Prep.Models.TestQuestionSearchModel>*@

@{
    ViewBag.Title = "Summary";
}
@{
    Layout = null;
}
<h2>Summary Report</h2>

<link href="~/Content/AdminPanel.css" rel="stylesheet" />
<title>Summary Report</title>

@*<p>
        @Html.ActionLink("Create New", "AddSubjects")
        <a id="AddButton" href="/Admin/AddSubjects"><img src="~/Content/images/AddNewButton.jpg" style="width:100px" /></a>
    </p>*@
@*<script src="@Url.Content("~/Scripts/jquery-1.10.2.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/globalize.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.globalize.min.js")" type="text/javascript"></script>*@
<script src="@Url.Content("~/Scripts/jquery-1.10.2.min.js")" type="text/javascript"></script>

<script>
    function TopicTable(subjectId) {
        $.ajax({
            url: '/Admin/GetQuestionsSummaryByTopic',  
            type: 'Get',
            //contentType: "application/json; charset=utf-8",
            data: { subjectId: subjectId },
            dataType:'json',
            success: function (data, textStatus, jqXHR) {
                var arr = data;
                //Table new start
                var html = "<table border='1|1'>";
                html += "<tr>";
                html += "<th>";
                html += "Topic Name";
                html += "</th>";
                html += "<th>";
                html += "Total";
                html += "</th>";
                html += "<th>";
                html += "Easy";
                html += "</th>";
                html += "<th>";
                html += "Normal";
                html += "</th>";
                html += "<th>";
                html += "Hard";
                html += "</th>";
                html += "</tr>";

                for (var i = 0; i < arr.length; i++) {
                    html += "<tr>";
                    html += "<td>" + arr[i].TopicName + "</td>";
                    html += "<td>" + arr[i].TotalSubjectQuestionCount + "</td>";
                    html += "<td>" + arr[i].TotalEasyQuestionCount + "</td>";
                    html += "<td>" + arr[i].TotalNormalQuestionCount + "</td>";
                    html += "<td>" + arr[i].TotalHardQuestionCount + "</td>";

                    html += "</tr>";

                }
                html += "</table>";
                document.getElementById("box").innerHTML = html;
                    },
            error: function ()
            {
                    }
                });
       
    }

</script>
@Html.Partial("~/Views/Shared/_AdminMenu.cshtml")
<table class="table">
    <tr>
        <th style="display:none">Subject ID</th>
        <th>Subject</th>
        <th>Total</th>
        <th>Easy</th>
        <th>Normal</th>
        <th>Hard</th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td style="display:none">
                @Html.DisplayFor(modelItem => item.SubjectId)

            </td>
            <td>
                @*  @Html.DisplayFor(modelItem => item.SubjectName)*@

                @*    <a href="GetTable();">@Html.DisplayFor(modelItem => item.SubjectName)</a>*@
                <a onclick="TopicTable(@Html.DisplayFor(modelItem => item.SubjectId))" href="#">@Html.DisplayFor(modelItem => item.SubjectName)</a>

            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalSubjectQuestionCount)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalEasyQuestionCount)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalNormalQuestionCount)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalHardQuestionCount)
            </td>
        </tr>
    }
</table>
<table id="box">
   
</table>